Name:           bley
Version:        2.0.0
Release:        1.20241114191812051958.pr110.189.g1f47b01%{?dist}
Summary:        Intelligent greylisting daemon for Postfix and Exim

License:        BSD
URL:            http://bley.mx
Source0:        bley-2.0.0.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-mysqlclient
Requires:       python3-py3dns
Requires:       python3-pyspf
Requires:       python3-psycopg2
Requires:       python3-publicsuffix2
Requires:       python3-twisted

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
BuildRequires:    systemd

%description
bley uses various tests (incl. RBL and SPF) to decide whether a sender should be
greylisted or not, thus mostly eliminating the usual greylisting delay while
still filtering most of the spam.


%package logcheck
Summary:  Logcheck support files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: logcheck

%description logcheck
Logcheck support files for %{name}.


%prep
%setup -q -n bley-2.0.0


%build
%py3_build


%install
%py3_install
for file in bley.conf whitelist_clients whitelist_recipients; do
  mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/${file}.example \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/${file}
done

install -D -m644 %{name}-sysusers.conf $RPM_BUILD_ROOT%{_sysusersdir}/%{name}.conf

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%doc CHANGELOG.md README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}graph
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}graph.1.gz
%{_unitdir}/%{name}.service
%{_sysusersdir}/%{name}.conf

%files logcheck
%doc CHANGELOG.md README.md
%config(noreplace) %{_sysconfdir}/logcheck/ignore.d.server/%{name}.logcheck


%changelog
* Thu Nov  14 2024 Packit <hello@packit.dev> - 2.0.0-1.20241114191812051958.pr110.189.g1f47b01
- add sysuser definition to rpm spec (Evgeni Golov)
- add sysusers definition (Evgeni Golov)
- add tmt plan (Evgeni Golov)
- unconditionally install publicsuffix2 (Evgeni Golov)
- enable installation tests on EPEL9 (Evgeni Golov)
- use python3-mysqlclient, python3-mysql is just an alias (Evgeni Golov)
- Stop testing Python 3.6/Twisted 16 and Python 3.7/Twisted 18 (Evgeni Golov)
- add Python 3.13 to tox (Evgeni Golov)
- drop epel-8 from packit config (Evgeni Golov)
- Add Python 3.13 to test matrix (Evgeni Golov)
- Bump pypa/gh-action-pypi-publish from 1.11.0 to 1.12.2 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.10.2 to 1.11.0 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.9.0 to 1.10.2 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.14 to 1.9.0 (dependabot[bot])
- drop SORBS from config and docs (Evgeni Golov)
- Drop Twisted 23.10 from test matrix (Evgeni Golov)
- add twisted 24.3.0 (Evgeni Golov)
- Bump pypa/gh-action-pypi-publish from 1.8.12 to 1.8.14 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.11 to 1.8.12 (dependabot[bot])
- test with twisted 23.10 (Evgeni Golov)
- provide a better job names (Evgeni Golov)
- assertRegexpMatches → assertRegex (Evgeni Golov)
- add Python 3.12 to CI (Evgeni Golov)
- Bump actions/download-artifact from 3 to 4 (dependabot[bot])
- Bump actions/upload-artifact from 3 to 4 (dependabot[bot])
- Bump actions/setup-python from 4 to 5 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.10 to 1.8.11 (dependabot[bot])
- Bump actions/checkout from 3 to 4 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.8 to 1.8.10 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.7 to 1.8.8 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.6 to 1.8.7 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.8.5 to 1.8.6 (#77) (dependabot[bot])
- use evgeni/action-* (Evgeni Golov)
- further reduce the testing matrix (Evgeni Golov)
- fix pycodestyle errors (Evgeni Golov)
- switch to pycodestyle (Evgeni Golov)
- install my_virtualenv (Evgeni Golov)
- Revert "disable mysql tests for now" (Evgeni Golov)
- don't explicitly mount the docker sock (Evgeni Golov)
- don't add a newline when echo-ing the GITHUB ref (Evgeni Golov)
- Bump pypa/gh-action-pypi-publish from 1.8.3 to 1.8.5 (dependabot[bot])
- only allow alphanum and dots in debian revision generation (Evgeni Golov)
- fix openspf link (Evgeni Golov)
- use https for links in readme (Evgeni Golov)
- update links to depedencies in readme (Evgeni Golov)
- add Documentation field to systemd service (Evgeni Golov)
- watch version 4 (Evgeni Golov)
- Rules-Requires-Root: no (Evgeni Golov)
- add a space between debhelper-compat and version constraint (Evgeni Golov)
- Standards-Version: 4.6.2 (Evgeni Golov)
- use https link for copyright format spec (Evgeni Golov)
- use https url to the homepage everywhere (Evgeni Golov)
- don't set Python-Versions (Evgeni Golov)
- use longer dates for snapshot versions (Evgeni Golov)
- document where to get devel builds (Evgeni Golov)
- don't put dashes in the debian release (Evgeni Golov)
- include the ref name in the debian version (Evgeni Golov)
- add publish-to-cloudsmith step (Evgeni Golov)
- take debian/ from the target branch, not special branch (Evgeni Golov)
- add piuparts (Evgeni Golov)
- autopkgtest (Evgeni Golov)
- lintian (Evgeni Golov)
- build debian pkg (Evgeni Golov)
- Bump pypa/gh-action-pypi-publish from 1.8.1 to 1.8.3 (dependabot[bot])
- set names (Evgeni Golov)
- run tests explicitly with bash (Evgeni Golov)
- configure concurency (Evgeni Golov)
- Bump pypa/gh-action-pypi-publish from 1.7.1 to 1.8.1 (dependabot[bot])
- use version from setup.py not tag (Evgeni Golov)
- ignore bley.spec in debian source generation (Evgeni Golov)
- replace travis with packit in ignore (Evgeni Golov)
- reduce matrix for 3.6/16.6.0 (Evgeni Golov)
- drop bley.spec from the manifest, nobody needs it in the sdist (Evgeni Golov)
- switch to python3 and modern debhelper compat (Evgeni Golov)
- use default-mysql-client by default (Evgeni Golov)
- refresh patch (Evgeni Golov)
- drop ahbl patch (Evgeni Golov)
- more ignore (Evgeni Golov)
- make adt mostly work (Evgeni Golov)
- Bump pypa/gh-action-pypi-publish from 1.6.4 to 1.7.1 (dependabot[bot])
- skip tests that require network by default (Evgeni Golov)
- use Pre-Depends (Evgeni Golov)
- mv debian/bley.tmpfile debian/bley.tmpfiles (Evgeni Golov)
- use python3 explicitly in makefile (Evgeni Golov)
- drop unused vars in Makefile (Evgeni Golov)
- clean up old spec generation things (Evgeni Golov)
- Comply with RFC 5782 section 2.1 (Evgeni Golov)
- move '+' shortening into sanitize block (Evgeni Golov)
- don't choke on invalid, too long, senders (Evgeni Golov)
- use mysqlclient in setup.py (Evgeni Golov)
- report delta in the header as an integer (Evgeni Golov)
- add license text (Evgeni Golov)
- better directory structure (Evgeni Golov)
- make bleygraph pep8 compliant (Evgeni Golov)
- allow working without a config (Evgeni Golov)
- implement X-Greylist header insertion (Evgeni Golov)
- only require publicsuffix2 on fedora, it's not in epel (Evgeni Golov)
- add epel to packit builds (Evgeni Golov)
- drop bley.spec from ignore, now that we renamed it (Evgeni Golov)
- drop last remains of travis (Evgeni Golov)
- drop ahbl from readme too (Evgeni Golov)
- update rpm spec for python3 and add packit (Evgeni Golov)
- only test develop branch and tags and PRs (Evgeni Golov)
- use check_output with universal_newlines (Evgeni Golov)
- also don't define old py 3.4 and 3.5 tox envs (Evgeni Golov)
- drop python2 support (Evgeni Golov)
- stop using six (Evgeni Golov)
- always use configparser.ConfigParser (Evgeni Golov)
- add new Python versions (Evgeni Golov)
- add new Twisted versions (Evgeni Golov)
- Bump actions/setup-python from 2 to 4 (dependabot[bot])
- Bump pypa/gh-action-pypi-publish from 1.4.2 to 1.6.4 (dependabot[bot])
- Bump actions/checkout from 2 to 3 (dependabot[bot])
- tox 4 compat (Evgeni Golov)
- drop Travis (Evgeni Golov)
- add GHA (Evgeni Golov)
- provide a default version for twisted (Evgeni Golov)
- fix publicsuffix replacement (Evgeni Golov)
- port to publicsuffix2 (Evgeni Golov)
- disable mysql tests for now (Evgeni Golov)
- python 3.8 compat (Evgeni Golov)
- add new python to tox (Evgeni Golov)
- update supported versions (Evgeni Golov)
- update twisted matrix (hehehehehehe) (Evgeni Golov)
- rename max to max_listed (Evgeni Golov)
- we don't need ipaddress in test_bley (Evgeni Golov)
- no need to import subprocess twice (Evgeni Golov)
- Fix TypeError during Setup (Thomas Haider)
- add py36 to tox.ini (Evgeni Golov)
- test twisted 17.1 (Evgeni Golov)
- test python 3.6 (Evgeni Golov)
- meh (Evgeni Golov)
- simplify a line in tox.ini (Evgeni Golov)
- add py34 and py35 envs (Evgeni Golov)
- Revert "use `python -m twisted.trial` instead of `trial`" (Evgeni Golov)
- drop ipaddr from setup.py (Evgeni Golov)
- MySQL-python is dead! (Evgeni Golov)
- drop stray --verbose (Evgeni Golov)
- update deps in tox.ini (Evgeni Golov)
- don't test 16.4.0 (Evgeni Golov)
- don't use requirements for tox (Evgeni Golov)
- whitelist make (Evgeni Golov)
- dont list twisted in requirements for now (Evgeni Golov)
- wrap execution of tests with tox (Evgeni Golov)
- start tox.ini (Evgeni Golov)
- add .tox to gitignore (Evgeni Golov)
- use strip(), not replace (Evgeni Golov)
- call tests directly (Evgeni Golov)
- sudo !! (Evgeni Golov)
- don't pass --use-mirrors to pip (Evgeni Golov)
- also drop python 2.6 support form setup.py (Evgeni Golov)
- drop python 2.6 support (Evgeni Golov)
- install globally (Evgeni Golov)
- also test 16.4.0 (Evgeni Golov)
- test latest twisted versions (Evgeni Golov)
- Add exim4 configuration example (Stig Sandbeck Mathisen)
- Add missing paragraph separator (Stig Sandbeck Mathisen)
- we need six now (Evgeni Golov)
- use `python -m twisted.trial` instead of `trial` (Evgeni Golov)
- test 16.4.0 (Evgeni Golov)
- dont test py2 for now, makes travis quicker (Evgeni Golov)
- mark py2 and py3 reqs as such (Evgeni Golov)
- drop deprecated --use-mirrors (Evgeni Golov)
- use mysqlclient instead of MySQLdb (Evgeni Golov)
- dont try to test twisted 11 on python 3.4 (Evgeni Golov)
- test python 3.4 and 3.5 (Evgeni Golov)
- python3 support in bleygraph (Evgeni Golov)
- we need ipaddress now (Evgeni Golov)
- make bley python3 compatible (Evgeni Golov)
- use print function (Evgeni Golov)
- be more verbose (Evgeni Golov)
- use ipaddress instead of ipaddr (Evgeni Golov)
- clean up the test matrix a bit, lets not care about too old twisted releases (Evgeni Golov)
- drop Arch links, bley is not maintained in AUR at the moment (Evgeni Golov)
- test that way (Evgeni Golov)
- skip twisted 16 on python 2.6 (Evgeni Golov)
- update twisted version (Evgeni Golov)
- start doing adt tests (Evgeni Golov)
- enable caching of pip stuff (Evgeni Golov)
- let's try to use Travis CI's new containers (Evgeni Golov)
- update Twisted versions again (Evgeni Golov)
- update Twisted versions (Evgeni Golov)
- drop dnsbl.ahbl.org from the config example, it's dead (Evgeni Golov)
- Add generation of RPM spec file (Felix Kaechele)

* Sun Nov  9 2014 Felix Kaechele <heffer@fedoraproject.org> - 2.0.0-0
- create package spec template
